Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince 0.6SynchronousAuth Required
RecoverImage
RecoverImage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
imageUuidStringRequiredThe image UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
backupStorageUuidsListOptional. The backup storage UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/images/{imageUuid}/actions
/zstack/v1/images/{imageUuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/images/{imageUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"backupStorageUuids":["<backupStorageUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "c019173f2b5742868058049be43033a1", "name": "TinyLinux", "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "c019173f2b5742868058049be43033a1", "backupStorageUuid": "609d29fb59ee414f90cedbc3a71038c6", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }Change History
This API has no change history records yet.
